Create webhook subscription
curl --request POST \
--url https://api-message.nativehub.live/api/v1/webhooks/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://api.example.com/webhooks/sms",
"events": [
"message.delivered",
"message.failed"
],
"secret": "whsec_abc123xyz789"
}
'import requests
url = "https://api-message.nativehub.live/api/v1/webhooks/subscriptions"
payload = {
"url": "https://api.example.com/webhooks/sms",
"events": ["message.delivered", "message.failed"],
"secret": "whsec_abc123xyz789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://api.example.com/webhooks/sms',
events: ['message.delivered', 'message.failed'],
secret: 'whsec_abc123xyz789'
})
};
fetch('https://api-message.nativehub.live/api/v1/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c5d6e7f8-a9b0-1234-cd56-789012345678",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"url": "https://api.example.com/webhooks/sms",
"events": [
"message.delivered",
"message.failed"
],
"secret": "whsec_abc123xyz789",
"status": "active",
"created_at": "2026-02-01T12:00:00Z"
}{
"error": "Invalid request parameters"
}Webhooks
Create webhook subscription
Create a new webhook subscription for events
POST
/
webhooks
/
subscriptions
Create webhook subscription
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I